package com.qiaoba.common.base.code;

import lombok.Getter;

/**
 * 租户错误code
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/12 13:33
 */
@Getter
public enum TenantErrorCode {

    /**
     * 未找到
     */
    NOT_FIND(5010, "未找到租户信息"),
    /**
     * 禁用
     */
    DISABLE(5011, "租户被禁用"),

    /**
     * 过期
     */
    EXPIRE(5012, "租户已过期");

    private final Integer code;
    private final String msg;

    TenantErrorCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
